﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

public partial class Edit_CollItem : System.Web.UI.Page
{
    Zxq.Bll.CollItem CollItem_Bll = new Zxq.Bll.CollItem();
    Zxq.Model.CollItem CollItem_Model = new Zxq.Model.CollItem();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Id > 0)
            {
                BiudTree();
                ShowInfo();
            }
            else
            { }
        }
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        CollItem_Model.ItemName = this.TxtItemName.Text;
        CollItem_Model.ClassId = Convert.ToInt32(this.DdlClass.SelectedValue);
        CollItem_Model.WebEncode = this.DdlEndoce.SelectedValue;
        CollItem_Model.WebName = this.TxtWebName.Text;
        CollItem_Model.WebUrl = this.TxtWebUrl.Text;
        CollItem_Model.ItemRemark = this.TxtItemRemark.Text;
        if (this.ChkIframe.Checked)
        {
            CollItem_Model.Script_Iframe = 1;
        }
        if (this.ChkObject.Checked)
        {
            CollItem_Model.Script_Object = 1;
        }
        if (this.ChkScript.Checked)
        {
            CollItem_Model.Script_Script = 1;
        }
        if (this.ChkDiv.Checked)
        {
            CollItem_Model.Script_Div = 1;
        }
        if (this.ChkTable.Checked)
        {
            CollItem_Model.Script_Table = 1;
        }
        if (this.ChkSpan.Checked)
        {
            CollItem_Model.Script_Span = 1;
        }
        if (this.ChkImg.Checked)
        {
            CollItem_Model.Script_Img = 1;
        }
        if (this.ChkFont.Checked)
        {
            CollItem_Model.Script_Font = 1;
        }
        if (this.ChkA.Checked)
        {
            CollItem_Model.Script_A = 1;
        }
        if (this.ChkHtml.Checked)
        {
            CollItem_Model.Script_Html = 1;
        }
        CollItem_Model.CollecNum = Convert.ToInt32(this.TxtCollecNum.Text);
        if (this.ChkSaveImg.Checked)
        {
            CollItem_Model.IsSaveImg = 1;
        }
        if (this.ChkIsDesc.Checked)
        {
            CollItem_Model.IsDesc = 1;
        }
        CollItem_Model.ListUrl = this.TxtListUrl.Text;
        CollItem_Model.ListStart = this.TxtListStart.Text;
        CollItem_Model.ListEnd = this.TxtListEnd.Text;
        CollItem_Model.LinkStart = this.TxtLinkStart.Text;
        CollItem_Model.LinkEnd = this.TxtLinkEnd.Text;
        CollItem_Model.TitleStart = this.TxtTitleStart.Text;
        CollItem_Model.TitleEnd = this.TxtTitleEnd.Text;
        CollItem_Model.KeyWordStart = this.TxtKeyWordStart.Text;
        CollItem_Model.KeyWordEnd = this.TxtKeyWordEnd.Text;
        CollItem_Model.DateRegex = this.TxtDateRegex.Text;
        CollItem_Model.SourceRegex = this.TxtSourceRegex.Text;
        CollItem_Model.ContentStart = this.TxtContentStart.Text;
        CollItem_Model.ContentEnd = this.TxtContentEnd.Text;
        CollItem_Model.RemoveBodyStart = this.TxtRemoveBodyStart.Text;
        CollItem_Model.RemoveBodyEnd = this.TxtRemoveBodyEnd.Text;
        CollItem_Model.NextPageRegex = this.TxtNextPageRegex.Text;
        CollItem_Model.Id = Id;
        if (CollItem_Bll.Update(CollItem_Model) > 0)
        {
            Response.Write("<script>alert('修改成功');window.location='collitem.aspx'</script>");
        }
    }
    private int Id
    {
        get
        {
            if (Request.QueryString["id"] == null)
                return 0;
            return Convert.ToInt32(Request.QueryString["id"]);
        }
    }
    private void ShowInfo()
    {
        Zxq.Model.CollItem model = CollItem_Bll.GetModel(Id);
        if (model != null)
        {
            this.TxtItemName.Text = model.ItemName;
            int ClassId = model.ClassId;
            for (int i = 0; i < this.DdlClass.Items.Count; i++)
            {
                if (this.DdlClass.Items[i].Value == ClassId.ToString())
                {
                    this.DdlClass.Items[i].Selected = true;
                }
            }
            string WebEncode = model.WebEncode;
            for (int i = 0; i < this.DdlEndoce.Items.Count; i++)
            {
                if (this.DdlEndoce.Items[i].Value == WebEncode)
                {
                    this.DdlEndoce.Items[i].Selected = true;
                }
            }
            this.TxtWebName.Text = model.WebName;
            this.TxtWebUrl.Text = model.WebUrl;
            this.TxtItemRemark.Text = model.ItemRemark;
            int Script_Iframe = model.Script_Iframe;
            if (Script_Iframe == 1)
            {
                this.ChkIframe.Checked = true;
            }
            int Script_Object = model.Script_Object;
            if (Script_Object == 1)
            {
                this.ChkObject.Checked = true;
            }
            int Script_Script = model.Script_Script;
            if (Script_Script == 1)
            {
                this.ChkScript.Checked = true;
            }
            int Script_Div = model.Script_Div;
            if (Script_Div == 1)
            {
                this.ChkDiv.Checked = true;
            }
            int Script_Table = model.Script_Table;
            if (Script_Table == 1)
            {
                this.ChkTable.Checked = true;
            }
            int Script_Span = model.Script_Span;
            if (Script_Span == 1)
            {
                this.ChkSpan.Checked = true;
            }
            int Script_Img = model.Script_Img;
            if (Script_Img == 1)
            {
                this.ChkImg.Checked = true;
            }
            int Script_Font = model.Script_Font;
            if (Script_Font == 1)
            {
                this.ChkFont.Checked = true;
            }
            int Script_A = model.Script_A;
            if (Script_A == 1)
            {
                this.ChkA.Checked = true;
            }
            int Script_Html = model.Script_Html;
            if (Script_Html == 1)
            {
                this.ChkHtml.Checked = true;
            }
            this.TxtCollecNum.Text = model.CollecNum.ToString();
            int IsSaveImg = model.IsSaveImg;
            if (IsSaveImg == 1)
            {
                this.ChkSaveImg.Checked = true;
            }
            int IsDesc = model.IsDesc;
            if (IsDesc == 1)
            {
                this.ChkIsDesc.Checked = true;
            }
            this.TxtListUrl.Text = model.ListUrl;
            this.TxtListStart.Text = model.ListStart;
            this.TxtListEnd.Text = model.ListEnd;
            this.TxtLinkStart.Text = model.LinkStart;
            this.TxtLinkEnd.Text = model.LinkEnd;
            this.TxtTitleStart.Text = model.TitleStart;
            this.TxtTitleEnd.Text = model.TitleEnd;
            this.TxtKeyWordStart.Text = model.KeyWordStart;
            this.TxtKeyWordEnd.Text = model.KeyWordEnd;
            this.TxtDateRegex.Text = model.DateRegex;
            this.TxtSourceRegex.Text = model.SourceRegex;
            this.TxtContentStart.Text = model.ContentStart;
            this.TxtContentEnd.Text = model.ContentEnd;
            this.TxtRemoveBodyStart.Text = model.RemoveBodyStart;
            this.TxtRemoveBodyEnd.Text = model.RemoveBodyEnd;
            this.TxtNextPageRegex.Text = model.NextPageRegex;            
        }
        else
        {
            Response.Write("<script>alert('没有数据');history.back()</script");
        }
    }

    #region 加载树
    private void BiudTree()
    {
        DataTable Dt;
        Zxq.Bll.Class Class_Bll = new Zxq.Bll.Class();
        Dt = Class_Bll.ClassList();
        this.DdlClass.Items.Clear();
        //加载树
        this.DdlClass.Items.Add(new ListItem("选择分类", ""));
        DataRow[] drs = Dt.Select("ParentId= 0");
        foreach (DataRow r in drs)
        {
            string nodeid = r["Id"].ToString();
            string text = r["ClassName"].ToString();
            string parentid = r["ParentId"].ToString();
            text = "╋" + text;
            this.DdlClass.Items.Add(new ListItem(text, nodeid));
            int sonparentid = int.Parse(nodeid);
            string blank = "　├";
            BindNode(sonparentid, Dt, blank);
        }
        this.DdlClass.DataBind();
    }
    private void BindNode(int parentid, DataTable Dt, string blank)
    {
        DataRow[] drs = Dt.Select("ParentId= " + parentid);
        foreach (DataRow r in drs)
        {
            string nodeid = r["Id"].ToString();
            string text = r["ClassName"].ToString();
            text = blank + "" + text + "";
            this.DdlClass.Items.Add(new ListItem(text, nodeid));
            int sonparentid = int.Parse(nodeid);
            string blank2 = "　　├";
            BindNode(sonparentid, Dt, blank2);
        }
    }
    #endregion
}
