﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

/// <summary>
///GetFile 的摘要说明
/// </summary>
public class GetFile:Page
{
	public GetFile()
	{
		//
		//TODO: 在此处添加构造函数逻辑
		//
	}   
    protected Button btGetFile;
    protected DropDownList ddlObject;
    protected DropDownList ddlTimes;
    protected HtmlForm form1;
    protected HtmlGenericControl pagess;
    protected Repeater Repeater1;
    protected Button btStartService;
    protected Button btStopService;  

    #region 启动服务
    protected void btStartService_Click(object sender, System.EventArgs e)
    {
        if (Application["MyServices"] == null)
        {
            MyServices dis = new MyServices(ConfigurationManager.ConnectionStrings["DuoeRubberTime"].ToString(), HttpContext.Current);
            dis.Start();
            btStartService.Enabled = !dis.Runing;
            btStopService.Enabled = dis.Runing;
            Application.Add("MyServices", dis);
        }
    }
    #endregion

    #region 停止服务
    protected void btStopService_Click(object sender, System.EventArgs e)
    {
        if (Application["MyServices"] != null)
        {
            MyServices dis = Application["MyServices"] as MyServices;
            dis.Stop();
            btStartService.Enabled = !dis.Runing;
            btStopService.Enabled = dis.Runing;
            Application.Remove("MyServices");
            dis = null;
        }
    }
    #endregion

    #region 初始化数据
    private void InitData()
    {
        if (Application["MyServices"] != null)
        {
            MyServices dis = Application["MyServices"] as MyServices;
            btStartService.Enabled = !dis.Runing;
            btStopService.Enabled = dis.Runing;
        }
        else
        {
            btStopService.Enabled = false;
        }
    }
    #endregion
}
