﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace Zxq.Dal
{
    /// <summary>
    ///CollItem 的摘要说明
    /// </summary>
    public class CollItem
    {
        public CollItem()
        {
            //
            //TODO: 在此处添加构造函数逻辑
            //
        }
        DataTable DT = new DataTable();
        Zxq.Data.DataAccess DB = new Zxq.Data.DataAccess();

        #region 添加删除需改
        /// <summary>
        /// 添加数据
        /// </summary>
        public int Add(Zxq.Model.CollItem model)
        {
            string[] ColumnName = { "ItemName", "ClassId", "WebEncode", "WebName", "WebUrl", "ItemRemark", "Script_Iframe", "Script_Object", "Script_Script", "Script_Div", "Script_Table", "Script_Span", "Script_Img", "Script_Font", "Script_A", "Script_Html", "CollecNum", "IsSaveImg", "IsDesc" };//字段
            string[] Values = { model.ItemName, model.ClassId.ToString(), model.WebEncode, model.WebName, model.WebUrl, model.ItemRemark, model.Script_Iframe.ToString(), model.Script_Object.ToString(), model.Script_Script.ToString(), model.Script_Div.ToString(), model.Script_Table.ToString(), model.Script_Span.ToString(), model.Script_Img.ToString(),model.Script_Font.ToString(), model.Script_A.ToString(), model.Script_Html.ToString(), model.CollecNum.ToString(),model.IsSaveImg.ToString(), model.IsDesc.ToString() };//值             
            return DB.Insert("CollItem", ColumnName, Values);
        }

        ///<summary>
        /// 修改列表
        ///</summary> 
        public int UpdateList(Zxq.Model.CollItem model)
        {
            string[] ColumnName = { "ListUrl", "ListStart", "ListEnd" };
            string[] Values = { model.ListUrl,model.ListStart,model.ListEnd };
            string strWhere = " Id=" + model.Id;
            return DB.Update("CollItem", ColumnName, Values, strWhere);
        }

        ///<summary>
        /// 修改链接
        ///</summary> 
        public int UpdateLink(Zxq.Model.CollItem model)
        {
            string[] ColumnName = { "LinkStart", "LinkEnd" };
            string[] Values = { model.LinkStart,model.LinkEnd };
            string strWhere = " Id=" + model.Id;
            return DB.Update("CollItem", ColumnName, Values, strWhere);
        }

        ///<summary>
        /// 修改正文
        ///</summary> 
        public int UpdateContent(Zxq.Model.CollItem model)
        {
            string[] ColumnName = { "TitleStart", "TitleEnd", "KeyWordStart", "KeyWordEnd", "DateRegex", "SourceRegex", "ContentStart", "ContentEnd", "RemoveBodyStart", "RemoveBodyEnd", "NextPageRegex" };
            string[] Values = { model.TitleStart,model.TitleEnd,model.KeyWordStart,model.KeyWordEnd,model.DateRegex,model.SourceRegex, model.ContentStart,model.ContentEnd,model.RemoveBodyStart,model.RemoveBodyEnd,model.NextPageRegex };
            string strWhere = " Id=" + model.Id;
            return DB.Update("CollItem", ColumnName, Values, strWhere);
        }
        /// <summary>
        /// 修改数据
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int Update(Zxq.Model.CollItem model)
        {
            string[] ColumnName = { "ItemName", "ClassId", "WebEncode", "WebName", "WebUrl", "ItemRemark", "Script_Iframe", "Script_Object", "Script_Script", "Script_Div", "Script_Table", "Script_Span", "Script_Img", "Script_Font", "Script_A", "Script_Html", "CollecNum", "IsSaveImg", "IsDesc", "ListUrl", "ListStart", "ListEnd", "LinkStart", "LinkEnd", "TitleStart", "TitleEnd", "KeyWordStart", "KeyWordEnd", "DateRegex", "SourceRegex", "ContentStart", "ContentEnd", "RemoveBodyStart", "RemoveBodyEnd", "NextPageRegex" };
            string[] Values = { model.ItemName, model.ClassId.ToString(), model.WebEncode, model.WebName, model.WebUrl, model.ItemRemark, model.Script_Iframe.ToString(), model.Script_Object.ToString(), model.Script_Script.ToString(), model.Script_Div.ToString(), model.Script_Table.ToString(), model.Script_Span.ToString(), model.Script_Img.ToString(), model.Script_Font.ToString(), model.Script_A.ToString(), model.Script_Html.ToString(), model.CollecNum.ToString(), model.IsSaveImg.ToString(), model.IsDesc.ToString(), model.ListUrl, model.ListStart, model.ListEnd, model.LinkStart, model.LinkEnd, model.TitleStart, model.TitleEnd, model.KeyWordStart, model.KeyWordEnd, model.DateRegex, model.SourceRegex, model.ContentStart, model.ContentEnd, model.RemoveBodyStart, model.RemoveBodyEnd,model.NextPageRegex };//值     
            string strWhere = " Id=" + model.Id;
            return DB.Update("CollItem", ColumnName, Values, strWhere);
        }

        /// <summary>
        /// 删除数据
        /// </summary>
        public int Delete(int Id)
        {
            string strWhere = "Id=" + Id;
            return DB.Delete("CollItem", strWhere);
        }
        #endregion

        #region 查询
        /// <summary>
        /// 数据列表
        /// </summary>
        /// <returns></returns>
        public DataTable CollItemList()
        {
            string[] ColumnName = { "Id", "ItemName", "ClassId", "State" };
            return DT = DB.Select("CollItem", 0, ColumnName,"","");
        }
        /// <summary>
        /// 得到Id
        /// </summary>
        /// <returns></returns>
        public int GetId()
        {
            string[] ColumnName = { "Id" };
            DT = DB.Select("CollItem", 1, ColumnName,"","Id Desc");
            int Id=0;
            if (DT.Rows.Count > 0)
            {
                if (DT.Rows[0]["Id"].ToString() != "")
                {
                    Id = int.Parse(DT.Rows[0]["Id"].ToString());
                }
            }
            return Id;
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Zxq.Model.CollItem GetModel(int Id)
        {
            string[] ColumnName = { "Id", "ListStart", "ListEnd", "LinkStart", "LinkEnd", "TitleStart", "TitleEnd", "KeyWordStart", "KeyWordEnd", "DateRegex", "SourceRegex", "ContentStart", "ContentEnd", "RemoveBodyStart", "RemoveBodyEnd", "NextPageRegex", "ItemName", "Script_Iframe", "Script_Object", "Script_Script", "Script_Div", "Script_Table", "Script_Span", "Script_Img", "Script_Font", "Script_A", "Script_Html", "ChannelId", "CollecNum", "IsSaveImg", "IsDesc", "State", "ClassId", "WebEncode", "WebName", "WebUrl", "ItemRemark", "ListUrl" };
            string strWhere = "Id=" + Id;
            DT = DB.Select("CollItem", 1, ColumnName, strWhere, "");
            Zxq.Model.CollItem model = new Zxq.Model.CollItem();           
            if (DT.Rows.Count > 0)
            {
                if (DT.Rows[0]["Id"].ToString() != "")
                {
                    model.Id = int.Parse(DT.Rows[0]["Id"].ToString());
                }
                model.ListStart = DT.Rows[0]["ListStart"].ToString();
                model.ListEnd = DT.Rows[0]["ListEnd"].ToString();
                model.LinkStart = DT.Rows[0]["LinkStart"].ToString();
                model.LinkEnd = DT.Rows[0]["LinkEnd"].ToString();
                model.TitleStart = DT.Rows[0]["TitleStart"].ToString();
                model.TitleEnd = DT.Rows[0]["TitleEnd"].ToString();
                model.KeyWordStart = DT.Rows[0]["KeyWordStart"].ToString(); 
                model.KeyWordEnd = DT.Rows[0]["KeyWordEnd"].ToString();
                model.DateRegex = DT.Rows[0]["DateRegex"].ToString();
                model.SourceRegex = DT.Rows[0]["SourceRegex"].ToString();            
                model.ContentStart = DT.Rows[0]["ContentStart"].ToString();
                model.ContentEnd = DT.Rows[0]["ContentEnd"].ToString();
                model.RemoveBodyStart = DT.Rows[0]["RemoveBodyStart"].ToString();
                model.RemoveBodyEnd = DT.Rows[0]["RemoveBodyEnd"].ToString();
                model.NextPageRegex = DT.Rows[0]["NextPageRegex"].ToString();
                model.ItemName = DT.Rows[0]["ItemName"].ToString();
                if (DT.Rows[0]["Script_Iframe"].ToString() != "")
                {
                    model.Script_Iframe = int.Parse(DT.Rows[0]["Script_Iframe"].ToString());
                }
                if (DT.Rows[0]["Script_Object"].ToString() != "")
                {
                    model.Script_Object = int.Parse(DT.Rows[0]["Script_Object"].ToString());
                }
                if (DT.Rows[0]["Script_Script"].ToString() != "")
                {
                    model.Script_Script = int.Parse(DT.Rows[0]["Script_Script"].ToString());
                }
                if (DT.Rows[0]["Script_Div"].ToString() != "")
                {
                    model.Script_Div = int.Parse(DT.Rows[0]["Script_Div"].ToString());
                }
                if (DT.Rows[0]["Script_Table"].ToString() != "")
                {
                    model.Script_Table = int.Parse(DT.Rows[0]["Script_Table"].ToString());
                }
                if (DT.Rows[0]["Script_Span"].ToString() != "")
                {
                    model.Script_Span = int.Parse(DT.Rows[0]["Script_Span"].ToString());
                }
                if (DT.Rows[0]["Script_Img"].ToString() != "")
                {
                    model.Script_Img = int.Parse(DT.Rows[0]["Script_Img"].ToString());
                }
                if (DT.Rows[0]["Script_Font"].ToString() != "")
                {
                    model.Script_Font = int.Parse(DT.Rows[0]["Script_Font"].ToString());
                }
                if (DT.Rows[0]["Script_A"].ToString() != "")
                {
                    model.Script_A = int.Parse(DT.Rows[0]["Script_A"].ToString());
                }
                if (DT.Rows[0]["Script_Html"].ToString() != "")
                {
                    model.Script_Html = int.Parse(DT.Rows[0]["Script_Html"].ToString());
                }
                if (DT.Rows[0]["ChannelId"].ToString() != "")
                {
                    model.ChannelId = int.Parse(DT.Rows[0]["ChannelId"].ToString());
                }
                if (DT.Rows[0]["CollecNum"].ToString() != "")
                {
                    model.CollecNum = int.Parse(DT.Rows[0]["CollecNum"].ToString());
                }
                if (DT.Rows[0]["IsSaveImg"].ToString() != "")
                {
                    model.IsSaveImg = int.Parse(DT.Rows[0]["IsSaveImg"].ToString());
                }
                if (DT.Rows[0]["IsDesc"].ToString() != "")
                {
                    model.IsDesc = int.Parse(DT.Rows[0]["IsDesc"].ToString());
                }
                if (DT.Rows[0]["State"].ToString() != "")
                {
                    model.State = int.Parse(DT.Rows[0]["State"].ToString());
                }
                if (DT.Rows[0]["ClassId"].ToString() != "")
                {
                    model.ClassId = int.Parse(DT.Rows[0]["ClassId"].ToString());
                }
                model.WebEncode = DT.Rows[0]["WebEncode"].ToString();
                model.WebName = DT.Rows[0]["WebName"].ToString();
                model.WebUrl = DT.Rows[0]["WebUrl"].ToString();
                model.ItemRemark = DT.Rows[0]["ItemRemark"].ToString();
                model.ListUrl = DT.Rows[0]["ListUrl"].ToString();
                return model;
            }
            else
            {
                return null;
            }
        }
        #endregion
    }
}