﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CollItem.aspx.cs" Inherits="Add_CollItem"
    ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>采集项目</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:Panel ID="PlAdd" runat="server" Width="100%" HorizontalAlign="Left">
        <table cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    项目名称
                </td>
                <td>
                    <asp:TextBox ID="TxtItemName" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TxtItemName"
                        ErrorMessage="项目名称不能为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    所属栏目
                </td>
                <td>
                    <asp:DropDownList ID="DdlClass" runat="server">
                    </asp:DropDownList>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator14" runat="server" ControlToValidate="DdlClass"
                        ErrorMessage="请选择分类"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    页面编码方式
                </td>
                <td>
                    <asp:DropDownList ID="DdlEndoce" runat="server">
                        <asp:ListItem Value="1" Selected="True">gb2312</asp:ListItem>
                        <asp:ListItem Value="2">utf-8</asp:ListItem>
                        <asp:ListItem Value="3">unicode</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td>
                    网站名称
                </td>
                <td>
                    <asp:TextBox ID="TxtWebName" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    网站地址
                </td>
                <td>
                    <asp:TextBox ID="TxtWebUrl" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    项目说明
                </td>
                <td>
                    <asp:TextBox ID="TxtItemRemark" runat="server" TextMode="MultiLine"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    过滤标签
                </td>
                <td>
                    <asp:CheckBox ID="ChkIframe" runat="server" Height="24px" Text="Iframe" Width="72px" />&nbsp;<asp:CheckBox
                        ID="ChkObject" runat="server" Height="24px" Text="Object" Width="72px" />
                    <asp:CheckBox ID="ChkScript" runat="server" Height="24px" Text="Script" Width="72px" />
                    <asp:CheckBox ID="ChkDiv" runat="server" Height="24px" Text="Div" Width="72px" />
                    <asp:CheckBox ID="ChkTable" runat="server" Height="24px" Text="Table" Width="72px" />
                    <asp:CheckBox ID="ChkSpan" runat="server" Height="24px" Text=" Span" Width="72px" />
                    <asp:CheckBox ID="ChkImg" runat="server" Height="24px" Text=" Img" Width="72px" />
                    <asp:CheckBox ID="ChkFont" runat="server" Height="24px" Text=" Font" Width="72px" />
                    <asp:CheckBox ID="ChkA" runat="server" Height="24px" Text=" A" Width="72px" />
                    <asp:CheckBox ID="ChkHtml" runat="server" Height="24px" Text=" Html" Width="72px" />
                </td>
            </tr>
            <tr>
                <td>
                    采集数量
                </td>
                <td>
                    <asp:TextBox ID="TxtCollecNum" runat="server" Text="0"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    其它选项
                </td>
                <td>
                    <asp:CheckBox ID="ChkSaveImg" runat="server" Text="保存图片" />
                    <asp:CheckBox ID="ChkIsDesc" runat="server" Text="倒序采集" />
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <asp:Button ID="BtnAdd" runat="server" Text="提 交" OnClick="BtnAdd_Click" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="PlList" runat="server" Width="100%">
        <table border="0" cellpadding="5" cellspacing="0" width="98%">
            <tr>
                <th colspan="2">
                    编辑采集项目&nbsp; --&nbsp; 列表设置
                </th>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    列表页面地址
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtListUrl" runat="server" Width="281px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="TxtListUrl"
                        Display="Dynamic" ErrorMessage="不能为空" ToolTip="此项不允许为空"></asp:RequiredFieldValidator><asp:RegularExpressionValidator
                            ID="RegularExpressionValidator3" runat="server" ControlToValidate="TxtListUrl"
                            Display="Dynamic" ErrorMessage="地址错误" ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    列表开始标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtListStart" runat="server" Height="89px" TextMode="MultiLine"
                        Width="318px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="TxtListStart"
                        Display="Dynamic" ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    列表结束标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtListEnd" runat="server" Height="89px" TextMode="MultiLine" Width="318px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="TxtListEnd"
                        Display="Dynamic" ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    &nbsp;
                </td>
                <td style="text-align: left">
                    <input type="button" value="上一步" onclick="history.go(-1)" />&nbsp; &nbsp;<asp:Button
                        ID="BtnList" runat="server" Text="保 存" OnClick="BtnList_Click" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="PlLink" runat="server" Width="100%">
        <table border="0" cellpadding="5" cellspacing="0" width="98%">
            <tr>
                <th colspan="2">
                    列表截取测试
                </th>
            </tr>
            <tr>
                <td colspan="2" align="left">
                    <asp:Literal ID="ltListTest" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th colspan="2">
                    编辑采集项目&nbsp; --&nbsp; 链接设置
                </th>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    链接开始标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtLinkStart" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="TxtLinkStart"
                        ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    链接结束标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtLinkEnd" runat="server" Height="46px" TextMode="MultiLine" Width="299px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ControlToValidate="TxtLinkEnd"
                        ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                </td>
                <td style="text-align: left">
                    <input type="button" value="上一步" onclick="history.go(-1)" />&nbsp; &nbsp;<asp:Button
                        ID="BtnLink" runat="server" Text="保 存" OnClick="BtnLink_Click" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="PlContent" runat="server" Width="100%">
        <table border="0" cellpadding="5" cellspacing="0" width="98%">
            <tr>
                <th colspan="2">
                    新闻链接截取测试
                </th>
            </tr>
            <tr>
                <td align="left" colspan="2">
                    请检查取得的链接是否正确，如不正确请检查链接设置和网站地址
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left">
                    <asp:Literal ID="ltLinkTest" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th colspan="2">
                    编辑采集项目&nbsp; --&nbsp; 正文设置
                </th>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    标题开始标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtTitleStart" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ControlToValidate="TxtTitleStart"
                        ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    标题结束标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtTitleEnd" runat="server" Height="46px" TextMode="MultiLine" Width="299px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator11" runat="server" ControlToValidate="TxtTitleEnd"
                        ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    关键字开始
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtKeyWordStart" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="TxtKeyWordStart"
                        ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    关键字结束
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtKeyWordEnd" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator15" runat="server" ControlToValidate="TxtKeyWordEnd"
                        ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    <font color=red>获取时间正则</font>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtDateRegex" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    <font color="red">获取来源正则</font>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtSourceRegex" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    正文开始标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtContentStart" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator12"
                            runat="server" ControlToValidate="TxtContentStart" ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    正文结束标记
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtContentEnd" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator13"
                            runat="server" ControlToValidate="TxtContentEnd" ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    过滤正文开始标记,如果多个用$隔开
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtRemoveBodyStart" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator2"
                            runat="server" ControlToValidate="TxtContentStart" ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    过滤正文结束标记,如果多个用$隔开
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtRemoveBodyEnd" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator3"
                            runat="server" ControlToValidate="TxtContentEnd" ErrorMessage="*" ToolTip="此项不允许为空"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td style="width: 30%; text-align: right">
                    <font color=red>下一页正则</font>
                </td>
                <td style="text-align: left">
                    <asp:TextBox ID="TxtNextPageRegex" runat="server" Height="46px" TextMode="MultiLine"
                        Width="299px"></asp:TextBox>
                </td>
            </tr>

            <tr>
                <td style="width: 30%; text-align: right">
                </td>
                <td style="text-align: left">
                    <input type="button" value="上一步" onclick="history.go(-1)" />&nbsp;
                    <asp:Button ID="BtnContent" runat="server" Text="保 存" OnClick="BtnContent_Click" />
                    <asp:HiddenField ID="hfIsPaging" runat="server" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="PlTest" runat="server" Width="100%">
        <table border="0" cellpadding="5" cellspacing="0" width="98%">
            <tr>
                <th>
                    采样测试
                </th>
            </tr>
            <tr>
                <td align="center">
                    <asp:Literal ID="ltTestTitle" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <td align="left">
                    关键字:
                    <asp:Literal ID="ltKeyWord" runat="server"></asp:Literal><br />
                    时间:<asp:Literal ID="ltDateTime" runat="server"></asp:Literal><br />
                    来源:<asp:Literal ID="ltSource" runat="server"></asp:Literal><br />
                    内容:
                    <asp:Literal ID="ltTestContent" runat="server"></asp:Literal><br />
                    <asp:Literal ID="ltPhotoUrl" runat="server"></asp:Literal><br />
                </td>
            </tr>
            <tr>
                <td align="center">
                    <input type="button" value="上一步" onclick="history.go(-1)" />&nbsp;
                    <input type="button" value="完成" onclick="window.location='CollItem.aspx'" id="Button1" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="PlDataList" runat="server">
        <table>
            <tr>
                <td>
                    <a href="?action=add">添加采集项目</a>
                </td>
            </tr>
        </table>
        <asp:GridView ID="GvCollItemList" runat="server" DataKeyNames="Id" OnRowDeleting="GvCollItemList_RowDeleting"
            AutoGenerateColumns="false">
            <Columns>
                <asp:BoundField DataField="Id" HeaderText="编号" />
                <asp:BoundField DataField="Id" HeaderText="项目名称" />
                <asp:BoundField DataField="Id" HeaderText="所属栏目" />
                <asp:BoundField DataField="Id" HeaderText="状态" />
                <asp:TemplateField HeaderText="操作">
                    <ItemTemplate>
                        <a href="Edit_CollItem.aspx?id=<%# DataBinder.Eval(Container.DataItem,"Id") %>">编辑</a>
                        <asp:LinkButton ID="LbtDelete" runat="server" CommandName="Delete" OnClientClick="return confirm('确定删除吗?')">删除</asp:LinkButton></ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="设置">
                    <ItemTemplate>
                        <a href="?action=list&id=<%# DataBinder.Eval(Container.DataItem,"Id") %>">列表设置</a>
                        <a href="?action=link&id=<%# DataBinder.Eval(Container.DataItem,"Id") %>">链接设置</a>
                        <a href="?action=content&id=<%# DataBinder.Eval(Container.DataItem,"Id") %>">正文设置</a>
                        <a href="?action=test&id=<%# DataBinder.Eval(Container.DataItem,"Id") %>">采样测试</a>
                        <a href="?action=start&id=<%# DataBinder.Eval(Container.DataItem,"Id") %>">采集</a>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </asp:Panel>
    </form>
</body>
</html>
