﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace Zxq.Bll
{
    /// <summary>
    ///CollItem 的摘要说明
    /// </summary>
    public class CollItem
    {
        protected readonly Zxq.Dal.CollItem Dal = new Zxq.Dal.CollItem();
        public CollItem()
        {
            //
            //TODO: 在此处添加构造函数逻辑
            //
        }

        #region 添加删除需改
        /// <summary>
        /// 添加数据
        /// </summary>
        public int Add(Zxq.Model.CollItem model)
        {
            return Dal.Add(model);
        }
        ///<summary>
        /// 修改列表
        ///</summary> 
        public int UpdateList(Zxq.Model.CollItem model)
        {
            return Dal.UpdateList(model);
        }
        ///<summary>
        /// 修改链接
        ///</summary> 
        public int UpdateLink(Zxq.Model.CollItem model)
        {
            return Dal.UpdateLink(model);
        }
        ///<summary>
        /// 修改正文
        ///</summary> 
        public int UpdateContent(Zxq.Model.CollItem model)
        {
            return Dal.UpdateContent(model);
        }
        /// <summary>
        /// 删除数据
        /// </summary>
        public int Delete(int Id)
        {
            return Dal.Delete(Id);
        }
        /// <summary>
        /// 修改数据
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public int Update(Zxq.Model.CollItem model)
        {
            return Dal.Update(model);
        }
        #endregion

        #region 查询
        /// <summary>
        /// 数据列表
        /// </summary>
        /// <returns></returns>
        public DataTable CollItemList()
        {
            return Dal.CollItemList();
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Zxq.Model.CollItem GetModel(int Id)
        {
            return Dal.GetModel(Id);
        }
        /// <summary>
        /// 得到Id
        /// </summary>
        public int GetId()
        {
            return Dal.GetId();
        }
        #endregion
    }
}