﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace Zxq.Dal
{
    /// <summary>
    ///Collect 的摘要说明
    /// </summary>
    public class Collect
    {
        public Collect()
        {
            //
            //TODO: 在此处添加构造函数逻辑
            //
        }
        DataTable DT = new DataTable();
        Zxq.Data.DataAccess DB = new Zxq.Data.DataAccess();

        #region 添加删除需改
        /// <summary>
        /// 添加数据
        /// </summary>
        public int Add(Zxq.Model.Collect model)
        {
            string[] ColumnName = { "ClassId", "Title", "Author", "Source", "TxtContent", "KeyWord", "About", "StrImg", "IsImg","DateTime" };//字段
            string[] Values = { model.ClassId.ToString(),model.Title,model.Author,model.Source,model.TxtContent,model.KeyWord,model.About,model.StrImg,model.IsImg.ToString(),model.DateTime };//值             
            return DB.Insert("Collect", ColumnName, Values);
        }
        /// <summary>
        /// 删除数据
        /// </summary>
        public int Delete()
        {
            return DB.Delete("Collect");
        }
        /// <summary>
        /// 删除数据（单个）
        /// </summary>
        public int Delete(int Id)
        {
            string strWhere = "Id=" + Id;
            return DB.Delete("Collect",strWhere);
        }
        #endregion

        #region 查询
        /// <summary>
        /// 数据列表
        /// </summary>
        /// <returns></returns>
        public DataTable CollectList()
        {
            string[] ColumnName = { "Id", "ClassId", "Title", "Author", "Source", "AddTime", "TxtContent", "KeyWord", "About", "StrImg", "IsImg" };
            return DT = DB.Select("Collect", 0, ColumnName, "", "");
        }
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Zxq.Model.Collect GetModel(int Id)
        {            
            string[] ColumnName = { "Id", "StrImg", "IsImg"," DateTime", "ClassId", "Title", "Author", "Source", "AddTime", "TxtContent", "KeyWord", "About" };
            string strWhere = "Id=" + Id;
            DT = DB.Select("Collect", 1, ColumnName, strWhere, "");
            Zxq.Model.Collect model = new Zxq.Model.Collect();
            if (DT.Rows.Count > 0)
            {
                if (DT.Rows[0]["Id"].ToString() != "")
                {
                    model.Id = int.Parse(DT.Rows[0]["Id"].ToString());
                }
                model.StrImg = DT.Rows[0]["StrImg"].ToString();
                if (DT.Rows[0]["IsImg"].ToString() != "")
                {
                    model.IsImg = int.Parse(DT.Rows[0]["IsImg"].ToString());
                }
                model.DateTime = DT.Rows[0]["DateTime"].ToString();
                if (DT.Rows[0]["ClassId"].ToString() != "")
                {
                    model.ClassId = int.Parse(DT.Rows[0]["ClassId"].ToString());
                }
                model.Title = DT.Rows[0]["Title"].ToString();
                model.Author = DT.Rows[0]["Author"].ToString();
                model.Source = DT.Rows[0]["Source"].ToString();
                if (DT.Rows[0]["AddTime"].ToString() != "")
                {
                    model.AddTime = DateTime.Parse(DT.Rows[0]["AddTime"].ToString());
                }
                model.TxtContent = DT.Rows[0]["TxtContent"].ToString();
                model.KeyWord = DT.Rows[0]["KeyWord"].ToString();
                model.About = DT.Rows[0]["About"].ToString();
                return model;
            }
            else
            {
                return null;
            }
        }
        #endregion
    }
}